Skip to main content
POST
/
v1
/
reactions
Send a reaction
curl --request POST \
  --url https://api.messages.dev/v1/reactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from": "+15551234567",
  "to": "+15559876543",
  "message_id": "msg_abc123",
  "type": "love"
}
'
import requests

url = "https://api.messages.dev/v1/reactions"

payload = {
    "from": "+15551234567",
    "to": "+15559876543",
    "message_id": "msg_abc123",
    "type": "love"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    from: '+15551234567',
    to: '+15559876543',
    message_id: 'msg_abc123',
    type: 'love'
  })
};

fetch('https://api.messages.dev/v1/reactions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "status": "<string>",
  "request_id": "<string>"
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "missing_required_parameter",
    "message": "The 'from' query parameter is required.",
    "param": "from"
  },
  "request_id": "req_abc123"
}
{
  "error": {
    "type": "authentication_error",
    "code": "missing_api_key",
    "message": "Missing Authorization header. Use 'Authorization: Bearer sk_live_...'"
  },
  "request_id": "req_abc123"
}

Authorizations

Authorization
string
header
required

Use an API key as a bearer token: Authorization: Bearer sk_live_...

Each key has a set of scopes that gate which endpoints it can call: messages:read, messages:write, chats:read, lines:read, reactions:read, reactions:write, typing:read, typing:write, receipts:read, receipts:write, webhooks:read, webhooks:write, outbox:read, files:read, files:write. Keys can also be restricted to a subset of lines.

Body

application/json
from
string
required

Sender line handle (phone number or Apple ID)

Example:

"+15551234567"

to
string
required

Recipient handle

Example:

"+15559876543"

message_id
string
required

Message ID (msg_...) or iMessage GUID of the message to react to

Example:

"msg_abc123"

type
enum<string>
required

Reaction type

Available options:
love,
like,
dislike,
laugh,
emphasize,
question
Example:

"love"

Response

Outbox item created

id
string

Delivery ID (e.g. obx_abc123)

status
string
Allowed value: "pending"
request_id
string